<script>
  import Panel from "./panel.svelte";
  import MemeWrapper from "./meme_wrapper.svelte";
  const chokidar = require("chokidar");
  const directory = "C:/Users/Ruben/Desktop/memedb/test-memes";
  const watcher = chokidar.watch(directory, {
    persistent: true
  });
  let memes = [];

  watcher
    .on("unlink", path => {
      memes = memes.filter(meme => !meme.path.includes(path));
    })
    .on("add", (path, stats) => {
      memes.push({
        key: stats.ctimeMs,
        path
      });
      memes = memes;
    });
</script>

<div class="flex flex-01" style="height:100px">
  <Panel />
  <MemeWrapper {memes} />
</div>
